#  aRT : API R - TerraLib                                                
#  Copyright (C) 2003-2009  LEG                                          
#                                                                        
#  This program is free software; you can redistribute it and/or modify  
#  it under the terms of the GNU General Public License as published by  
#  the Free Software Foundation; either version 2 of the License, or     
#  (at your option) any later version.                                   
#                                                                        
#  This program is distributed in the hope that it will be useful,       
#  but WITHOUT ANY WARRANTY; without even the implied warranty of        
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
#  GNU General Public License for more details.                          
#                                                                        
#  You should have received a copy of the GNU Lesser General Public      
#  License along with this library.

setMethod("initialize", "aRTgpm", function(.Object, theme, strategy, calcDistance=FALSE, maxDistance=2000, net=NULL, target=theme)
{
	if( is.null(net) )
	{
		.Object@pointer <- .Call("cppCreateGPM",
    	                         theme@pointer,
    	                         list(strategy=strategy,
    	                              calcDistance=calcDistance,
    	                              maxDistance=maxDistance),
    	                         PACKAGE="aRT")
	}
	else
	{
		.Object@pointer <- .Call("cppCreateGPMnet",
    	                         theme@pointer,
    	                         list(strategy=strategy,
    	                              calcDistance=calcDistance,
    	                              maxDistance=maxDistance),
							     net@pointer,
								 target@pointer,
    	                         PACKAGE="aRT")
	}

  	reg.finalizer(.Object@pointer, .aRTremove)
	.Object
})

setMethod("getMatrix", "aRTgpm", function(object, weight=FALSE)
{
	.aRTcall(object, "cppGetMatrix", weight=weight)
})

setMethod("process", "aRTgpm", function(object, functions, threshold=1, zones=100)
{
	.aRTcall(object, "cppProcess", functions=functions, threshold=threshold, zones=zones)
	return(invisible())
})

